package com.ywt.alipaympapi.web.configs;

import com.ywt.alipaympapi.core.SpringContext;
import com.ywt.alipaympapi.web.interceptors.AccessBehaviorInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@Configuration
public class WebMvcConfigure extends WebMvcConfigurerAdapter {

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor((AccessBehaviorInterceptor) SpringContext.getBean(AccessBehaviorInterceptor.class))
                .addPathPatterns("/**")
                .excludePathPatterns("/auth/bind");
        super.addInterceptors(registry);
    }
}
